Bug 107645

Summary: editors/openoffice.org-2 WITH_GNUGCJ build failure
Product: Ports & Packages Reporter: freebsd
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description freebsd 2007-01-07 00:40:12 UTC
Since the upgrade from 2.0.4 to 2.1, it is not possible to build OpenOffice.org using gcj instead of Sun's JDK anymore. The flags I am using are:

WITH_GNUGCJ=1 WITHOUT_MOZILLA=1 WITH_KDE=1 WITH_CCACHE=1 WITH_TTF_BYTECODE_ENABLED=1

The only other nonstandard setting is CCACHE_DIR=/tmp/ccache (I don't have enough space in / for all those ccache files). This is an i386 6-STABLE box. I have successfully been using this machine to build OpenOffice.org for over two years and this definitely is a new error:

Making: ../../unxfbsdi.pro/slo/XSLTFilter.obj
ccache g++41 -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. -I../../unxfbsdi.pro/inc/XSLTFilter -I../inc -I../../inc/pch -I../../inc -I../../unx/inc -I../../unxfbsdi.pro/inc -I. -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solver/680/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solver/680/unxfbsdi.pro/inc/external -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solver/680/unxfbsdi.pro/inc -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solenv/unxfbsdi/inc -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solenv/inc -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/res -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solver/680/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solenv/inc/Xp31 -I/usr/local/lib/jvm/java-gcj41/include -I/usr/X11R6/include -I/usr/ports/editors/openoffice.org-2/work/OOE680_m6/solver/680/unxfbsdi.pro/inc/offuh -I. -I../../res -I. -pipe -mtune=pentiumpro -fvisibili
 ty-inlines-hidden -g1 -fexceptions -fno-enforce-eh-specs -Wall -Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/local/lib/gcc-4.1.2/include/c++ -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOE680=OOE680 -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../unxfbsdi.pro/slo/XSLTFilter.o /usr/ports/editors/openoffice.org-2/work/OOE680_m6/filter/source/xsltfilter/XSLTFilter.cxx
/usr/ports/editors/openoffice.org-2/work/OOE680_m6/filter/source/xsltfilter/XSLTFilter.cxx: In constructor 'XSLT::FLABridge::FLABridge(const com::sun::star::uno::Reference<com::sun::star::xml::sax::XDocumentHandler>&)':
/usr/ports/editors/openoffice.org-2/work/OOE680_m6/filter/source/xsltfilter/XSLTFilter.cxx:131: warning: declaration of 'm_rDocumentHandler' shadows a member of 'this'
/usr/ports/editors/openoffice.org-2/work/OOE680_m6/filter/source/xsltfilter/XSLTFilter.cxx: In member function 'virtual void XSLT::FLABridge::startElement(const rtl::OUString&, const com::sun::star::uno::Reference<com::sun::star::xml::sax::XAttributeList

How-To-Repeat: cd /usr/ports/editors/openoffice.org-2
make WITH_GNUGCJ=1
Comment 1 Edwin Groothuis freebsd_committer 2007-01-07 00:40:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:33:47 UTC
State Changed
From-To: open->feedback

Does this problem still recur with the latest openoffice?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-06-15 11:12:19 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 2 months).